Bug 535803 - (RHQ-2461) Improvement in rhq-agent-wrapper.sh to be able to use on all linux distributions
Improvement in rhq-agent-wrapper.sh to be able to use on all linux distributions
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Launch Scripts (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-11 13:44 EDT by Darko Palic
Modified: 2009-10-12 08:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Tested on Ubuntu 9.04, 8.04, 8.10
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhq-agent-wrapper.patched (800 bytes, application/octet-stream)
2009-10-11 13:46 EDT, Darko Palic
no flags Details

  None (edit)
Description Darko Palic 2009-10-11 13:44:00 EDT
The current rhq-agent-wrapper.sh script is not capable to be used directly as a startup script. The lookup of the scriptname with readlink "readlink isn't recursive.
The error can be reproduced by creating a link from /etc/init.d/rhq-agent -> mypathToTheScript
And if you now add the /etc/init.d/rhq-agent into the rcX.d folder with the typical symlink the startup will fail

rhq-agent-wrapper.sh should be changed from 
_DOLLARZERO=`readlink "$0" || echo "$0"`

to 
_DOLLARZERO=`readlink -f "$0" || echo "$0"`

The -f forces that all symlinks get recusivly resolved until a proper file is reached.
Comment 1 Darko Palic 2009-10-11 13:46:02 EDT
Here the patch for the wrapper script

Sorry found this related issue to late:
RHQ-2444
Comment 2 Red Hat Bugzilla 2009-11-10 16:04:53 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2461
Imported an attachment (id=368801)
This bug duplicates RHQ-2444

Note You need to log in before you can comment on or make changes to this bug.